> ## Documentation Index
> Fetch the complete documentation index at: https://docs.noyo.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Member Request

> Returns the latest version of a single member request based on the ID provided.

<Warning>
  The Member Request workflow is now deprecated in favor of using [Member
  Snapshot](/docs/members/using-snapshots/using-snapshots)
</Warning>


## OpenAPI

````yaml GET /api/v1/member_requests/{request_id}
openapi: 3.0.1
info:
  description: Policy management APIs for health and ancillary insurance
  title: Noyo Fulfillment API
  version: 1.0.0
servers:
  - description: Noyo Fulfillment API - Live
    url: https://fulfillment.noyo.com
  - description: Noyo Fulfillment API - Sandbox
    url: https://fulfillment-sandbox.noyo.com
security: []
paths:
  /api/v1/member_requests/{request_id}:
    get:
      tags:
        - Member Requests
      summary: Get a single Member Request
      description: >-
        Returns the latest version of a single member request based on the ID
        provided.
      operationId: getMemberRequest
      parameters:
        - description: The unique identifier of the member request you would like to view
          in: path
          name: request_id
          required: true
          schema:
            example: dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              example:
                body:
                  employee_id: 6dc22bed-27fc-458c-b732-bdaf5b5a1031
                  last_work_date: '2018-01-15'
                  reason: voluntary
                completed: 1557565200
                created: 1557512389
                employee_id: 30b74a44-d5b1-4123-a7a4-6d3aec251ba4
                id: dd9a1813-34f7-4c7e-86bc-f041f2cbd9a1
                modified: 1557565200
                request_type: termination
                status: processing
                transactions:
                  - f4ecdaa5-e019-4a24-98c7-2caee9a58ccd
              schema:
                $ref: '#/components/schemas/MemberRequestResult'
          description: Successful Response - Returns a single Member Request
components:
  schemas:
    MemberRequestResult:
      properties:
        body:
          description: >-
            Data required to execute a member request, varies depending on the
            request type
          type: object
        completed:
          description: Timestamp indicating when a member request was marked as completed
          readOnly: true
          type: integer
        created:
          description: The date the record was created
          type: integer
        employee_id:
          description: Unique identifier of the employee in Noyo
          format: uuid
          readOnly: true
          type: string
        id:
          description: Unique identifier of the record in Noyo
          format: uuid
          type: string
        modified:
          description: The date the record was last updated
          type: integer
        request_type:
          description: Transaction type for the member request
          enum:
            - demographic
            - new_hire
            - termination
            - open_enrollment
            - qualifying_life_event
            - enrollment_snapshot
            - cobra_enrollment
            - cobra_termination
            - cobra_open_enrollment
            - cobra_qualifying_life_event
          type: string
        result:
          description: >-
            Result from executing the member request, varies depending on the
            request type
          type: object
        status:
          description: Status of the member request
          enum:
            - processing
            - completed
            - failed
            - canceled
          type: string
        transactions:
          description: >-
            List of unique identifiers of all associated member transactions in
            Noyo
          items:
            format: uuid
            type: string
          type: array
        version:
          description: Current version of the record
          format: uuid
          type: string
      required:
        - body
        - created
        - employee_id
        - id
        - modified
        - request_type
        - result
        - status
        - version
      type: object
      x-field_order:
        - id
        - version
        - created
        - completed
        - modified
        - employee_id
        - request_type
        - status
        - transactions
        - body
        - result

````